%define gittag 0907a9034eaf2a57e8e4a9439f793f3f05d446cd
%define major 0
%define libname %mklibname tar %{major}
%define develname %mklibname -d tar

Summary:	C library for manipulating tar files
Name:		libtar
Version:	1.2.20
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		http://www.feep.net/libtar/
Source0:	http://repo.or.cz/w/libtar.git/snapshot/%{gittag}.tar.xz
Patch1:         libtar-1.2.11-missing-protos.patch
Patch4:         libtar-1.2.11-mem-deref.patch
Patch5:         libtar-1.2.20-fix-resource-leaks.patch
Patch6:         libtar-1.2.11-bz729009.patch
Patch7:         libtar-1.2.20-no-static-buffer.patch
BuildRequires:	zlib-devel
Requires:	%{libname} >= %{version}
Obsoletes:	libtar < %version
Provides:	libtar = %version-%release

%description
libtar is a library for manipulating tar files from within C programs.
Here are some of its features:

  * Handles both POSIX tar file format and the GNU extensions.
  * API provides functions for easy use, such as tar_extract_all().
  * Also provides functions for more granular use, such as 
    tar_append_regfile().

%package -n %libname
Summary:	Shared library for %{name}
Group:		System/Libraries


%description -n %libname
This package contains the shared library for %{name}.

%package -n %develname
Summary:	Development files and headers for %{name}
Group:		Development/Libraries
Requires:	%{libname} >= %{version}
Obsoletes:	%{name}-devel < %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:      libtar-devel < %version
Provides:	libtar-devel = %version-%release

%description -n %develname
This package contains the shared library and the C headers needed to
build applications with libtar.

%prep
%setup -qn %{name}
%apply_patches

%build
export CFLAGS="%{optflags} -fPIC"
autoreconf -fi
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/libtar

%files -n %{libname}
%{_libdir}/libtar.so.%{major}
%{_libdir}/libtar.so.%{major}.*

%files -n %{develname}
%doc README ChangeLog* COPYRIGHT TODO
%{_libdir}/libtar.so
%{_includedir}/libtar*.h
%{_mandir}/man3/*.3*


%changelog
* Fri Nov 22 2014 bb <bb> 1.2.20-1pclos2014
- update
